NSGraphInternal::RSSOEntry Struct Reference

a RSSO entry in a pict file More...

## Public Member Functions

| RSSOEntry ()
| constructor More...

## Public Attributes

int | m_id
| the id More...
Box2f | m_position
| the bdbox More...

## Friends

std::ostream & | operator<< (std::ostream &o, RSSOEntry const &entry)
| operator<< More...

## Detailed Description

a RSSO entry in a pict file

## Constructor & Destructor Documentation

NSGraphInternal::RSSOEntry::RSSOEntry | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | RSSOEntry const & | entry
| ) |  |

friend

operator<<

## Member Data Documentation

int NSGraphInternal::RSSOEntry::m_id

the id

Referenced by NSGraph::findRSSOEntry(), and NSGraph::sendPicture().

Box2f NSGraphInternal::RSSOEntry::m_position

the bdbox

Referenced by NSGraph::findRSSOEntry(), and NSGraph::sendPicture().

The documentation for this struct was generated from the following file:

- NSGraph.cxx